Placement API

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Placement API and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română
(Octobre 2019) Ne modifiez pas cette page. L'information est incomplète et obsolète. Pour la dernière API, consultez la documentation de l'API générée automatiquement, ou générez la documentation vous-même, voir Source documentation.


Dans FreeCAD,le Placement définit la position et la rotation d'un objet. Le concept de placement est expliqué en détail ici: Placement.

Exemple de réglage du placement d'un document objet:

myObj = FreeCAD.ActiveDocument.ActiveObject
pl = FreeCAD.Placement()
pl.move(FreeCAD.Vector(2,0,0))
myObj.Placement = pl
Class.png Placement () ou (Placement) ou (Matrice) ou (Base, Rotation) ou (Base, Rotation, Centre) ou (Base, Axes, Angle )

Description: Construit un placement, vide ou avec les arguments donnés, ou une copie de l'emplacement donné.

Property.png Base

Returns: . Un vecteur représentant la position du Placement

Property.png Rotation

Returns: . Un quaternion ( nombre complexe formé de quatre unités scalaires) représentant la rotation du Placement

Method.png inverse ( )

Description: calcule le placement inverse

Returns: . Un placement

Method.png move ( Vecteur )

Description: déplace le placement le long du vecteur donnée

Returns: rien

{{APIFunction | multVec | Vecteur | applique le placement au vecteur donné | le vecteur résultant}.} {{APIFunction | multipliez | Placement | multiplie ce placement avec l'autre | le placement résultant}.}
Method.png toMatrix ( )

Description:

Returns: . Une matrice représentant la transformation du placement